# rules.mk

repdir=/usr/local/share/rep
repcommonexecdir=/usr/local/libexec/rep/sparc64-unknown-openbsd4.4
rpath_repcommonexecdir=/usr/local/libexec/rep/sparc64-unknown-openbsd4.4

rep_LIBTOOL=$(repcommonexecdir)/libtool
rep_INSTALL_ALIASES=$(repcommonexecdir)/install-aliases

# use this like:
# foo.la : foo.lo bar.lo
#	$(rep_DL_LD) link-opts...

rep_DL_LD=$(rep_LIBTOOL) --mode=link $(CC) -avoid-version -module 	  -rpath $(rpath_repcommonexecdir)

rep_DL_INSTALL=$(rep_LIBTOOL) --mode=install $(INSTALL)
rep_DL_UNINSTALL=$(rep_LIBTOOL) --mode=uninstall rm

# Rule for libtool controlled C objects
%.lo : %.c
	$(rep_LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<

